### Hierarchy

- DocumentAndElementEventHandlers
  - Document
  - HTMLElement
  - SVGElement

## Index

### Properties

- oncopy
- oncut
- onpaste

### Methods

- addEventListener
- removeEventListener

## Properties

### oncopy

oncopy: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4589

### oncut

oncut: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4590

### onpaste

onpaste: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4591

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4592

  #### Type parameters

  - #### K: keyof DocumentAndElementEventHandlersEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: DocumentAndElementEventHandlers, ev: DocumentAndElementEventHandlersEventMap[K]): any

      - #### Parameters

        - ##### this: DocumentAndElementEventHandlers

        - ##### ev: DocumentAndElementEventHandlersEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4593

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4594

  #### Type parameters

  - #### K: keyof DocumentAndElementEventHandlersEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: DocumentAndElementEventHandlers, ev: DocumentAndElementEventHandlersEventMap[K]): any

      - #### Parameters

        - ##### this: DocumentAndElementEventHandlers

        - ##### ev: DocumentAndElementEventHandlersEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4595

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc